### Method

# Aravis Camera gv_set_packet_size

since: 0.8.0

#### Declaration [src]

    void
    arv_camera_gv_set_packet_size (
      ArvCamera* camera,
      gint packet_size,
      GError** error
    )

#### Description [src]

Specifies the stream packet size, in bytes, to send on the selected channel for a GVSP transmitter or specifies the maximum packet size supported by a GVSP receiver.

This does not include data leader and data trailer and the last data packet which might be of smaller size (since packet size is not necessarily a multiple of block size for stream channel). Negative `packet_size` is ignored.

Available since: 0.8.0

#### Parameters

`packet_size`

  Type: `gint`

  Packet size, in bytes.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.